Skip to main content
`Ctrl`+`K`

# MATELEMENTAL

“elemental” - A matrix type for dense matrices using the Elemental package Use ./configure –download-elemental to install PETSc to use Elemental

## Options Database Keys

- -mat_type elemental - sets the matrix type to “elemental” during a call to MatSetFromOptions()

- -pc_factor_mat_solver_type elemental - to use this direct solver with the option -pc_type lu

- -mat_elemental_grid_height - sets Grid Height for 2D cyclic ordering of internal matrix

## Note

Note unlike most matrix formats, this format does not store all the matrix entries for a contiguous range of rows on an MPI rank. Use `MatGetOwnershipIS()` to determine what values are stored on the given rank.

## See Also

`MATDENSE`, `MATSCALAPACK`, `MatGetOwnershipIS()`

## Level

beginner

## Location

src/mat/impls/elemental/matelem.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages